This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817622 - Re-Review Request: libkgapi - Library to access to Google services
Re-Review Request: libkgapi - Library to access to Google services
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.9
  Show dependency treegraph
 
Reported: 2012-04-30 12:33 EDT by Mario Santagiuliana
Modified: 2013-01-11 18:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 04:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gregor: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Santagiuliana 2012-04-30 12:33:36 EDT
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/libkgoogle.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/libkgoogle-0.3.1-1.20120430gitefb3215.fc16.src.rpm
Description: Library to access to Google services, this package is needed by kdepim-runtime to build akonadi-google resources.

This is a re-review request of akonadi-google package. Upstream move his akonadi-google resources into kdepim-runtime:
https://projects.kde.org/projects/playground/pim/akonadi-google/repository/revisions/efb32159c283168cc2ab1a39e6fa3c8a30fbc941

The spec file provides only libkgoogle and libkgoogle-devel packages. This library is needed by new kdepim-runtime version that include akonadi-google resources, so I open this re-review request waiting the new release of kdepim-runtime that includes akonadi-google resources.

This package replace akonadi-google:
https://admin.fedoraproject.org/pkgdb/acls/name/akonadi-google

I don't insert in the spec file the obsoletes and provides lines, they should be insert in the new version of kdepim-runtime.

Thank you!
Comment 1 Mario Santagiuliana 2012-05-30 15:15:47 EDT
Update to new version 0.3.2 with last snapshot of the new git repository for libkgoogle to fix some bug:

Spec URL: http://marionline.fedorapeople.org/packages/SPECS/libkgoogle.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/libkgoogle-0.3.2-1.20120530gitf18d699.fc16.src.rpm

Thanks
Comment 2 Mario Santagiuliana 2012-05-31 12:54:57 EDT
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/libkgapi.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/libkgapi-0.4.0-1.fc16.src.rpm

- Update to new version 0.4.0
- Update to new licence GPLv2+
- Update to new name libkgapi
- Add obsolete and provide libkgoogle
Comment 3 Rex Dieter 2012-05-31 15:33:48 EDT
Initial comments:

1. while you have 
Obsoletes:	libkgoogle < 0.3.2
Provides:	libkgoogle = %{version}-%{release}
you probably ought to do the same for libkgoogle-devel too in the -devel subpkg

2. cosmetics, but
s/%description -n %{name}-devel/%description devel/

3.  These are redundant (already pulled in implicitly via kdelibs-devel), can be removed:
BuildRequires:	cmake 
BuildRequires:	qt-devel 

4.  %files devel is missing ownership of several dirs, replace
%{_kde4_includedir}/libkgapi/*
...
%{_libdir}/cmake/LibKGAPI/*.cmake
with
%{_kde4_includedir}/libkgapi/
...
%{_libdir}/cmake/LibKGAPI/
Comment 4 Kevin Kofler 2012-05-31 16:00:39 EDT
You should BuildRequire kdelibs4-devel rather than kdelibs-devel.
Comment 5 Mario Santagiuliana 2012-05-31 16:49:16 EDT
Thank you for your comments.

Spec URL: http://marionline.fedorapeople.org/packages/SPECS/libkgapi.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/libkgapi-0.4.0-2.fc16.src.rpm

Do you think I should remove comments in spec file?
Comment 6 Gregor Tätzner 2012-06-06 12:24:07 EDT
(In reply to comment #5)
> Do you think I should remove comments in spec file?
Are you considering using git snapshots for your package in the near future? If not, then remove them.

You should drop rm -rf %{buildroot} at %install

imho this project url is better: http://projects.kde.org/libkgoogle

oh, and can you align your indentations please. It looks messy :)
Comment 7 Mario Santagiuliana 2012-06-07 04:02:28 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Do you think I should remove comments in spec file?
> Are you considering using git snapshots for your package in the near future?
> If not, then remove them.
This depends on how many times upstream release new stable versions. Sometimes there are some useful bug fix on upstream but stable version is not release quickly. I prefer to wait and see how the upstream works in the next future. Ok?

> You should drop rm -rf %{buildroot} at %install
Here I follow an old Rex Dieter request, for the previous package:
https://bugzilla.redhat.com/show_bug.cgi?id=711058#c25

> imho this project url is better: http://projects.kde.org/libkgoogle
I agree with you but official release package is provides fist time by developer website. Also the kde repository should change to new libkgapi...

> oh, and can you align your indentations please. It looks messy :)
Sorry, which indentation? I see everything well...using my browser web or my text editor (Vim).
Comment 8 Gregor Tätzner 2012-06-07 04:56:32 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > Do you think I should remove comments in spec file?
> > Are you considering using git snapshots for your package in the near future?
> > If not, then remove them.
> This depends on how many times upstream release new stable versions.
> Sometimes there are some useful bug fix on upstream but stable version is
> not release quickly. I prefer to wait and see how the upstream works in the
> next future. Ok?
yeah, sure.

> 
> > You should drop rm -rf %{buildroot} at %install
> Here I follow an old Rex Dieter request, for the previous package:
> https://bugzilla.redhat.com/show_bug.cgi?id=711058#c25
imho this template needs to be updated. rm buildroot is only necessary for epel5. I suppose this package wouldn't even build on that platform.

> 
> > oh, and can you align your indentations please. It looks messy :)
> Sorry, which indentation? I see everything well...using my browser web or my
> text editor (Vim).
no I'm talking about the indendation in the spec file. i.e. 
Name:		libkgapi
Version:0.4.0

should be 

Name:		libkgapi
Version:	0.4.0

However, this is just cosmetic

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/greg/projects/Review/817622/libkgapi-0.4.0.tar.bz2 :
  MD5SUM this package     : 90c44fd9456a6e34a8375f98250ad7cc
  MD5SUM upstream package : 90c44fd9456a6e34a8375f98250ad7cc

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.

minor issues:
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

APPROVED

just fix this minor issue before you commit your package and watch out for the project url. Thanks
Comment 9 Mario Santagiuliana 2012-06-07 05:22:55 EDT
Fix!
Spec: http://marionline.fedorapeople.org/packages/SPECS/libkgapi.spec
SRPMS: http://marionline.fedorapeople.org/packages/SRPMS/libkgapi-0.4.0-3.fc16.src.rpm

Sorry but I don't see your error on indentation (in Vim or in my browser web or in other text editor like kwrite), I use tab to separate columns for various variables values. Maybe is your text editor that need to set the tab space?

Thank you for your approval!
Comment 10 Mario Santagiuliana 2012-06-07 06:02:49 EDT
Package Change Request
======================
Package Name: lbkgapi
New Branches: f16 f17
Owners: marionline
InitialCC: rdieter Kkofler

This is the successor of old akonadi-google package, the library libkgoogle (provides by akonadi-google) moved to libkgapi. Akonadi resources should moved on new kdepim-runtime.
Comment 11 Mario Santagiuliana 2012-06-07 06:03:20 EDT
Package Change Request
======================
Package Name: libkgapi
New Branches: f16 f17
Owners: marionline
InitialCC: rdieter Kkofler

This is the successor of old akonadi-google package, the library libkgoogle (provides by akonadi-google) moved to libkgapi. Akonadi resources should moved on new kdepim-runtime.
Comment 12 Jon Ciesla 2012-06-07 08:18:08 EDT
Please resubmit as a New Package request.  Thanks!
Comment 13 Mario Santagiuliana 2012-06-07 08:35:39 EDT
New Package SCM Request
=======================
Package Name: libkgapi
Short Description: Library to access to Google services
Owners: marionline
Branches: f16 f17
InitialCC: rdieter Kkofler

This is the successor of old akonadi-google package, the library libkgoogle (provides by akonadi-google) moved to libkgapi. Akonadi resources should moved on new kdepim-runtime.
Comment 14 Jon Ciesla 2012-06-07 08:46:16 EDT
Git done (by process-git-requests).

Fixed kkofler account name.
Comment 15 Kevin Kofler 2012-06-07 14:43:28 EDT
Yes, please next time write the FAS account names in all lowercase.
Comment 16 Mario Santagiuliana 2012-06-08 03:55:04 EDT
Sorry...
Comment 17 Fedora Update System 2012-06-08 04:50:47 EDT
libkgapi-0.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libkgapi-0.4.0-3.fc17
Comment 18 Fedora Update System 2012-06-08 04:52:35 EDT
libkgapi-0.4.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libkgapi-0.4.0-3.fc16
Comment 19 Rex Dieter 2012-06-08 07:59:34 EDT
Please don't deploy this to non-rawhide yet.  It's only needed for kdepim-runtime-4.9, it'll break (and remove features) for everyone else.
Comment 20 Mario Santagiuliana 2012-06-08 09:24:39 EDT
Sorry, this is my first package re-reviewed to update an existing package. I revoke my request.
Comment 21 Fedora Update System 2012-08-12 07:30:45 EDT
libkgapi-0.4.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libkgapi-0.4.1-1.fc16
Comment 22 Fedora Update System 2012-08-12 07:31:57 EDT
libkgapi-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libkgapi-0.4.1-1.fc17
Comment 23 Kevin Kofler 2012-08-12 11:40:20 EDT
Uh, I'd suspect comment #19 from Rex Dieter is still valid!
> Please don't deploy this to non-rawhide yet.  It's only needed for
> kdepim-runtime-4.9, it'll break (and remove features) for everyone else.
Comment 24 Mario Santagiuliana 2012-08-12 11:45:10 EDT
Mhm...I was wrong...sorry...



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 25 Fedora Update System 2012-12-16 19:29:48 EST
libkgapi-0.4.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libkgapi-0.4.4-1.fc17
Comment 26 Fedora Update System 2012-12-16 19:30:02 EST
libkgapi-0.4.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libkgapi-0.4.4-1.fc18
Comment 27 Fedora Update System 2012-12-27 22:51:35 EST
libkgapi-0.4.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2013-01-11 18:38:27 EST
libkgapi-0.4.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.